UbixOS V2 2.0

Data Fields
mqtt_ringbuf_t Struct Reference

`#include <mqtt.h>`

Collaboration diagram for mqtt_ringbuf_t:

## Data Fields
u8_t | buf [MQTT_OUTPUT_RINGBUF_SIZE]
u16_t | get
u16_t | put

## Detailed Description

Ring buffer

Definition at line 170 of file mqtt.h.

## Field Documentation

## ◆ buf

u8_t mqtt_ringbuf_t::buf[MQTT_OUTPUT_RINGBUF_SIZE]

Definition at line 173 of file mqtt.h.

## ◆ get

u16_t mqtt_ringbuf_t::get

Definition at line 172 of file mqtt.h.

## ◆ put

u16_t mqtt_ringbuf_t::put

Definition at line 171 of file mqtt.h.

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/net/apps/mqtt.h